Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class AbstractTextEditor.LineStartAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.texteditor.TextNavigationAction
              org.eclipse.ui.texteditor.AbstractTextEditor.LineStartAction

All Implemented Interfaces:
  IAction

Enclosing class:
  AbstractTextEditor

protected class AbstractTextEditor.LineStartAction
extends TextNavigationAction

This action implements smart home. Instead of going to the start of a line it does the following: - if smart home/end is enabled and the caret is after the line's first non-whitespace then the caret is moved directly before it - if the caret is before the line's first non-whitespace the caret is moved to the beginning of the line - if the caret is at the beginning of the line the caret is moved directly before the line's first non-whitespace character

Since:
  2.1

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`AbstractTextEditor.LineStartAction(StyledText textWidget, boolean doSelect)` Creates a new line start action.

Method Summary
`protected int` | `getLineStartPosition(IDocument document, String line, int length, int offset)` Computes the offset of the line start position.
`void` | `run()` The default implementation of this `IAction` method does nothing.

Methods inherited from class org.eclipse.ui.texteditor.TextNavigationAction
`addPropertyChangeListener, fireSelectionChanged, fireSelectionChanged, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getTextWidget, getToolTipText, isChecked, isEnabled, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.Action
`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, notifyResult, removeAcceleratorText, removeMnemonics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTextEditor.LineStartAction

    public AbstractTextEditor.LineStartAction(StyledText textWidget,
                                              boolean doSelect)

  Creates a new line start action.

Parameters:
  `textWidget` - the styled text widget
  `doSelect` - a boolean flag which tells if the text up to the beginning of the line should be selected

Method Detail

### getLineStartPosition

    protected int getLineStartPosition(IDocument document,
                                       String line,
                                       int length,
                                       int offset)

  Computes the offset of the line start position.

  Parameters:
    `document` - The document where to compute the line start position
    `line` - The line to determine the start position of
    `length` - The length of the line
    `offset` - The caret position in the document
  Returns:
    The offset of the line start
  Since:
    3.0

### run

    public void run()

  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `TextNavigationAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.